/*global style*/
*,
*:before,
*:after {
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}
:focus,
:active {
	outline: none;
}

:root{
    --color-green1: #26ae61; /*#00883e;*/
    --color-green2: #26ae61;
    --color-green3: #00883e;
    --color-white1: #fff;
    --color-white2: #f7f7f7;
    --color-white3: #f0f0f0;
    --color-black1: #000;
    --color-gray1:  #b7b7b7;
    --color-dark1: #121212;
    --color-dark2: #1b5e20; 
    --color-primary__text: #fff;
    --color-primary__bg: #26ae61;
    --color-primary__hover: #219553;
    --color-transparent__hover: #29b03d;
    --color-secondary: #f5813d; /*vagy coral: rgb(255, 127, 80);*/
    --color-black-bg: rgba(0, 10, 0, .9);
    --color-gray2: #777;
    --color-gray3: #555;
}

nav,
footer,
header {
	display: block;
}
html,
body {
    font-family: "open sans", "roboto", sans-serif, "verdana";
    font-family: 'rubik', 'roboto', 'open sans', sans-serif;
	font-size: 1rem;
    line-height: 1.1;
    background-color: var(--color-white2);
    color: var(--color-dark1);
    -webkit-tap-highlight-color: transparent;
}

html,
body,
header,
.szoros {
	padding: 0;
	margin: 0;
	border: 0;
}

a {
	cursor: pointer;
}
a,
a:visited,
a:hover {
	text-decoration: none;
}

ul li {
	list-style: none;
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }

  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeInDown {
  from {
    opacity: 0;
    transform: translate3d(0, -100%, 0);
  }

  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@keyframes bounceInLeft {
  from,
  60%,
  75%,
  90%,
  to {
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  0% {
    opacity: 0;
    transform: translate3d(-3000px, 0, 0) scaleX(3);
  }

  60% {
    opacity: 1;
    transform: translate3d(25px, 0, 0) scaleX(1);
  }

  75% {
    transform: translate3d(-10px, 0, 0) scaleX(0.98);
  }

  90% {
    transform: translate3d(5px, 0, 0) scaleX(0.995);
  }

  to {
    transform: translate3d(0, 0, 0);
  }
}

/**
Awesome icons :)
**/
.icon::before{
    font-family: "fontawesome";
    position: absolute;
    left: 0px;    
}

.icon{
    padding-left: 2.5ch;
}

.icon--telephone::before{
    content: "\f095";
    -webkit-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg); 
}

.icon--email::before{
    content: "\f0e0";
}

.icon--address::before{
    content: "\f3c5";
}

.icon--check::before{
    content: "\f00c";
}

.icon--close::before{
    content: "\f00d";
}

.icon--arrow::before{
    content: "\f104";
}

.icon--dblarrow::before{
    content: "\f100";
}

.bounceInLeft {
  animation-name: bounceInLeft;
} 
.fadeInUp {
  animation-name: fadeInUp;
} 
.fadeInDown {
  animation-name: fadeInDown;
}


.bgcolor--primary{
    background-color: var(--color-white2);
}

.margintop-gap{
    margin-top: 64px;
}
.marginside-gap{
    margin-left: .5rem;
    margin-right: .5rem;
}
.marginbottom-gap{
    margin-bottom: .5rem;
}

h2{
    display: block; 
    font-size: 3rem;
    font-weight: 700;
    margin: .2rem;
}

h3{
    display: block; 
    font-size: 1.5rem;
    font-weight: 700;
    margin: .2rem;
}

@media (min-width: 24em ){ h3{ font-size: 1.8rem; } }
@media (min-width: 27em ){ h3{ font-size:   2rem; } }


h4{
    font-size: 1.4rem;
    font-weight: 700;
    margin-top: .2rem;
    margin-bottom: .2rem;
}

.layout--flex{
    display: flex;
}

section{
  margin-top: 2rem;
}

@media (min-width: 57em) { section { margin-top: 4rem; } }

.section__title{
    margin-top: 0px;
    margin-bottom: 1rem;
    text-decoration: underline;
    -webkit-text-decoration-color: var(--color-secondary);
    -moz-text-decoration-color: var(--color-secondary);
    text-decoration-color: var(--color-secondary);
    font-size: 1.6rem;
    text-align: center;
}

@media (min-width: 500px) { .section__title { font-size: 2rem; text-align: inherit; } }
@media (min-width: 768px) { .section__title { font-size: 2.5rem;} }
@media (min-width: 900px) { .section__title { font-size: 3rem;  } }


.container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}
    
.category{
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: flex-start;
    align-content: flex-start;
}

.category__item{
    flex: 1 1 270px;
    margin: 5px;
    position: relative;
    overflow: hidden;
    max-width: -moz-fit-content;
    max-width: -webkit-fit-content;
    max-width: fit-content;
    background-color: var(--color-green2);
}
    
.category__item:before {
    content: '';
    position: absolute;
    display: inline-block;
    top: 50%;
    left: 0;
    right: 0;
    bottom: 0;
    background: -webkit-gradient(linear, left bottom, left top, color-stop(65%, rgba(0, 0, 0, 0.5)), to(transparent));
    background: -webkit-linear-gradient(bottom, rgba(0, 0, 0, 0.5) 65%, transparent 100%);
    background: -o-linear-gradient(bottom, rgba(0, 0, 0, 0.5) 65%, transparent 100%);
    background: linear-gradient(to top, rgba(0, 0, 0, 0.5) 65%, transparent 100%);
    opacity: .6;
    -webkit-transition: .5s;
    -o-transition: .5s;
    transition: .5s;
    z-index: 0;
}

.category__item:hover:before {
    opacity: 1;
    top: 40%;
}

.category__content{
    position: absolute;
    display: inline-block;
    bottom: -31px;
    left: 28px;
    -webkit-transition: .3s;
    -o-transition: .3s;
    transition: .3s;
    z-index: 1;    
    color: var(--color-white1);
    text-shadow: 0px 0px 7px #000;
}

.category__content > p {
    margin-top: 1em;    
}

.category__content > .btn{
    position: relative;
    margin-top: 11px;
    top: 150px;
    -webkit-transition: .6s; 
    -o-transition: .6s;
    transition: .6s;
}

.category__item:hover .btn {
    top: 0px;
}

.category__item:hover .category__content {
    bottom: 29px;
}

.category__item>img{
    width: 100%;
    max-width: 370px;
    height: auto;
}


.category__item--city:hover:before{
    top: -45%;
    background-color: var(--color-green3);
    opacity: .85;
}

.category__item--city > .category__content{
    top: 100%;
    bottom: auto;
    height: 100%;
    transform: translateY(-3em);
    transition: .6s;
}
.category__item--city:hover > .category__content{
    top: 1em;
    transform: translateY(0px);   
}

.category__item--city a {
    color: var(--color-white1);
    line-height: 2em;
    display: block;
    padding-left: 5px;
    padding-right: 5px;
    text-transform: capitalize;
}

.category__item--city a:hover {
    color: var(--color-white1);
    background-color: var(--color-green3);
}

.category__item--city > .category__content > div{
    position: relative;
    top: 150px;
    width: 100%;
    transition: .6s;
    transition-delay: .2s;
}

.category__item--city:hover > .category__content > div{
    top: 0px;
}

.category__item--city h4{
    font-size: 1.4rem;
    transition: .8s;
}
.category__item--city:hover h4{
    font-size: 2.1rem;
}


.section--max1500{
    margin-left: auto;
    margin-right: auto;
    max-width: 1500px;
}


#footer{
    display: flex;
    background-color: #565761;
    min-height: 100px;
    width: 100%;
    margin: 0px;
    margin-top: 2rem;
    padding: .6rem;
    padding-bottom: 1rem;
    color: #e0e0e0;
    font-size: 1.1rem;
    white-space: nowrap;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    border-top: 4px solid var(--color-secondary);
}
#footer div{
    position: relative;
}

#footer span{
    font-weight: 700;
    color: #fff;
}

#footer img{
    display: block;
    width: 269px;
    margin: 0;
    padding: 6px;
    padding-bottom: 12px;
}

#footer__slogan{
    flex-grow: 1;
    text-align: center;
    justify-self: center;
    min-width: 90%;
    order: 2;
    font-size: 1.5rem;
    color: #fff;
    font-weight: 700;
    margin-top: 12px;
}

#footer a{
    display: block;
    color: #e0e0e0;
    padding-bottom: 4px;
    padding-top: 4px;
}

@media (min-width: 992px) { #footer { align-items: flex-start; } 
                            #footer__slogan{ order:unset; 
                                             order:0; 
                                             min-width: unset;} 
}
@media (min-width: 1200px) {#footer__slogan{ font-size: 1.9rem;}} 

#hazbg{
    flex-grow: 1;
    order: 9;
    width: 100%;
    height: 75px;
    background: url('../images/hazak_bg.png');
    background-position: bottom left;
    background-repeat: repeat-x;
    background-size: contain;
    position: relative;
    text-align: center;
}
#hazbg > a{
    background-color: rgba(86,87,97,.8);
    width: 100%;
    height: 100%;
    
}
#hazbg>a::after {
    color: #fff;
    font-family: "fontawesome";
    font-size: 4rem;
    font-weight: 900;
    content: "\f107";
    display: inline-block;
    margin-left: 5px;
    transform: rotate(180deg);
    transition: .6s;
}

#hazbg:hover>a::after {
    font-size: 5rem;
}

.sidepadding-30 {
    padding: 1px 30px;
}

.nowrap {
    padding: 1px 30px;
    white-space: nowrap;

}

.text--important{
    font-weight: 700;
}

.loadingspinner--ellipsis {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.loadingspinner--ellipsis div {
  position: absolute;
  top: 33px;
  width: 13px;
  height: 13px;
  border-radius: 50%;
  background: var(--color-primary__hover);
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.loadingspinner--ellipsis div:nth-child(1) {
  left: 8px;
  animation: lds-ellipsis1 0.6s infinite;
}
.loadingspinner--ellipsis div:nth-child(2) {
  left: 8px;
  animation: lds-ellipsis2 0.6s infinite;
}
.loadingspinner--ellipsis div:nth-child(3) {
  left: 32px;
  animation: lds-ellipsis2 0.6s infinite;
}
.loadingspinner--ellipsis div:nth-child(4) {
  left: 56px;
  animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(24px, 0);
  }
}


#dlg--contact__layer{
  position: absolute;
  justify-content: center;
  align-items: center;
  text-align: center;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  margin: auto;
  background-color: rgba(255,255,255,.8);
  backdrop-filter: blur(2px);
  display: none;
  z-index: 2;
  
  font-size: 1.2rem;
  font-weight: 700;
}
        
#dlg--contact__layer.loading,
#dlg--contact__layer.finished--ok,
#dlg--contact__layer.finished--error{
  display: flex;
}
        
#dlg--contact__layer > .result,
#dlg--contact__layer.loading > .loadingspinner--ellipsis{
  display: inline-block;
}

#dlg--contact__layer > .loadingspinner--ellipsis,
#dlg--contact__layer.loading > .result{
  display: none;
}

#dlg--contact__layer .btn{
  margin: 20px;
}  

#dlg--contact__layer .icon{
  font-size: 6rem;
  padding: 0;
  margin: 0;
  text-shadow: 2px 3px 3px black;
}    

#dlg--contact__layer .icon::before{
  position: relative;
} 

#dlg--contact__layer.finished--ok .icon::before{
  content: "\f00c";
  color: green;
}    

#dlg--contact__layer.finished--error .icon::before{
  content: "\f00d";
  color: red;
}    

.rejtett{
  visibility: hidden;
}

.nincstalalat{
    text-align: center;
    padding-bottom: 3rem;
    margin-bottom: 3rem;
    min-height: 65vh;
}
.nincstalalat > div{
    width: 100%;
    padding: 1rem;
    margin-left: auto;
    margin-right: auto;
}
.nincstalalat h2{
    font-size: 1.6rem;
    line-height: 1.5;
}
.nincstalalat h3{
    font-size: 1.5rem;
    line-height: 1.3;
}
.nincstalalat h3 > span{
    font-weight: 100;
}
.nincstalalat h5{
    font-size: 1.4rem;
    font-weight: 400;
    line-height: 1.2;
    text-align: center;
}
.nincstalalat hr,
.doku > hr{
    width: 100px;
    height: 0px;
/*    display: inline-block;*/
    margin: 0px;
    border: none;
    border-top: 3px solid var(--color-secondary); 
}

@media (min-width:30em){
    .nincstalalat{    text-align: left;}
    .nincstalalat h2{ font-size: 2rem; }
    .nincstalalat h3{ margin-top: 2rem;}
}
@media (min-width:50em){
    .nincstalalat h2{ font-size: 3rem; }
}
@media (min-width:62em){
    .nincstalalat h3{ text-align: center; }
}

.section--topimg{
    min-height: 150px;
    max-width: 2000px;
    margin: auto;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin-bottom: 2rem;
}
@media (min-width:59em){ 
    .section--topimg{ min-height: 220px; }
}

.layout--sidebar{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
}

.layout--sidebar > .doku{
    flex-grow:1;
    width:65%;
    margin-bottom: 2.2rem;
}

.layout--sidebar .doku{
    margin-top: 0px !important;
}

.sidebar{
    width:35%;
    flex: 1 1 300px;
}
.sidebar a{
    color: #000;
    text-decoration: none; 
    cursor: pointer; 
}

.sidebar__tbl{
    display: flex;
    flex-wrap:wrap; 
    align-items: flex-start; 
}
.sidebar__tbl > div{
    line-height: 1.4rem;
    margin-bottom: 2.8rem;
    padding-left: 1rem;
    padding-right: 1rem;
    flex: 1 1 330px;
}
.sidebar__tbl > div h3{
   font-size: 1.5rem;
   /*line-height: 1.2;*/
   margin-bottom: 1rem;
}
.sidebar__tbl .proplist__imgwrap{
    max-width: 370px;   
    margin: auto;
}

.dokulist{
    padding: 1rem;
    min-height: 65vh;
}

.doku{
    margin: 1.2rem;
}

.doku > h4{
    font-size: 1.5rem;
}

.doku--error{
    text-align: center;
    vertical-align: middle;
    background-color: var(--color-secondary);
    color: var(--color-black1);
    line-height: 3rem;
    font-weight: 700;
    border: 2px solid var(--color-black1);
    border-radius: 7px;
    margin-bottom: 1rem;
}

#telepinfo__head{
    text-align: center;
    padding-top: 1rem;
    padding-bottom: 1rem;
}
#telepinfo__head select{
    background-color: var(--color-white1);
}
#telepinfo__head .ctrl{
    width: 100%;
    display: none;
}

#telepinfo__head .teleplink{
    color: #000;
    font-size: 1.1rem;
    transition-duration: 0.3s;
}
#telepinfo__head .teleplink:hover{
    font-size: 1.3rem;
    font-weight: 700;
    color: var(--color-green3);
}
#telepinfo__head .aktualis{
    color: var(--color-secondary);
    font-weight: 700;
    font-size: 1.3rem;
}

#telepinfo__sidebar{
    text-align: center;
}
#telepinfo__sidebar > .section__title{
    font-weight: 700; 
    font-size:1.5rem; 
    text-align:center; 
    margin-bottom:0.2rem;
}
#telepinfo__sidebar > button{
    white-space: wrap;
    line-height: 1.1;
    margin: 1rem;
    padding: 1rem;
    margin-top: 0;
}
#telepinfo__sidebar > span{
    display: block;
    margin-bottom: 0.5rem;
    color: var(--color-gray2);    
    font-style: italic;
    font-variant: all-small-caps;
    font-variant-caps: all-small-caps;    
    font-weight: 700;
}


a[class~='elevel'] > span{
    display: none !important;
}


@media print{
    header,
    .sw--big,
    .prop__head,
    .prop__btns,    
    .prop__form,    
    .proplist__pag,
    #footer__slogan,    
    #hazbg,
    #footer img{
        display: none !important;
    }
}